// #ifndef VUE3
import Vue from 'vue'
import App from './App'
// 引入vuex配置
import store from './store'
// 引入自定义过滤器
import './filters';
// 引入request配置
import {
  request
} from './request';
Vue.prototype.$request = request

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
  store,
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
  createSSRApp
} from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif
